

if [ -z "$TEST_SERVER_URL" ]; then
    TEST_SERVER_URL=https://localhost:9200
fi

# ocis envs
export PLATFORM_BASE_URL="$TEST_SERVER_URL"
export AUTH_N_PROVIDER_KOPANO_BASE_URL="$TEST_SERVER_URL"
export AUTH_N_PROVIDER_KOPANO_REDIRECT_URL="$TEST_SERVER_URL"/oidc-callback.html

# create test-data
export SEED_USERS_TOTAL=100
k6 run packages/k6-tests/artifacts/_seeds-up-k6.js

# 040
export TEST_KOKO_PLATFORM_040_RAMPING_SLEEP_AFTER_ITERATION=5s
export TEST_KOKO_PLATFORM_040_RAMPING_STAGES_VUS=100
export TEST_KOKO_PLATFORM_040_RAMPING_STAGES_UP_DURATION=1m
export TEST_KOKO_PLATFORM_040_RAMPING_STAGES_PEAK_DURATION=5m
export TEST_KOKO_PLATFORM_040_RAMPING_STAGES_DOWN_DURATION=1m
k6 run packages/k6-tests/artifacts/koko-platform-040-create-upload-rename-delete-folder-and-file-ramping-k6.js
